#
# spec file for package perl-Algorithm-C3
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Algorithm-C3
Version:        0.11
Release:        1.18
%define cpan_name Algorithm-C3
Summary:        Module for merging hierarchies using the C3 algorithm
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module implements the C3 algorithm. I have broken this out into it's
own module because I found myself copying and pasting it way too often for
various needs. Most of the uses I have for C3 revolve around class building
and metamodels, but it could also be used for things like dependency
resolution as well since it tends to do such a nice job of preserving local
precedence orderings.

Below is a brief explanation of C3 taken from the Class::C3 module. For
more detailed information, see the SEE ALSO section and the links there.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Nov 11 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.11
  see /usr/share/doc/packages/perl-Algorithm-C3/Changes
  0.11 - 2020-11-10
  - set metadata for static dependency list and install
  - move repository to github
  - minor test cleanups
  - fix Makefile.PL to work for authors in perl 5.26+
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.10
  - declare minimum version of perl as 5.6 in metadata
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.09
  - convert to use ExtUtils::MakeMaker using distar
  - include repo and bugtracker metadata
- regenerate spec file
* Thu Nov 17 2011 coolo@suse.com
- use original tar
* Fri Sep 16 2011 coolo@suse.com
- reformat spec file
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- update to 0.08
  - Fix a couple of doc typos.
  - Don't create a fake Makefile.PL.
- bcond_with pod
- noarch pkg
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 0.07
